[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85RingBuffer.Write

Write data to the internal buffer

## Declaration

Source position: ascii85.pp line 41

`published procedure TASCII85RingBuffer.Write(`
`const aBuffer;`
`aSize: Cardinal`
`);`

## Arguments

`aBuffer` |  | Buffer to get data from
`aSize` |  | Total amount of bytes to read from aBuffer

## Description

Write writes aSize bytes from aBuffer to the internal memory buffer. Only as much bytes are written as will fit in the buffer.

## See also

TASCII85RingBuffer.FillCount |  | Number of bytes in buffer
TASCII85RingBuffer.Read |  | Read data from the internal buffer
TASCII85RingBuffer.Size |  | Size of buffer

The latest version of this document can be found at lazarus-ccr.sourceforge.net .